%define debug_package %{nil}

Name:           ocaml-json-wheel
Version:        1.0.6
Release:        %mkrel 17
Summary:        OCaml library for parsing JSON
License:        BSD
Group:          Development/OCaml
URL:            http://martin.jambon.free.fr/json-wheel.html
Source0:        http://martin.jambon.free.fr/json-wheel-%{version}.tar.bz2
BuildRequires:  ocaml >= 3.10.0
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-ocamlnet-devel
BuildRequires:  ocaml-pcre-devel
BuildRequires:  pcre-devel
Requires: ocaml-ocamlnet

%description
JSON library for OCaml following RFC 4627.

If you use this library, consider installing ocaml-json-static, the
syntax extension to the language which makes using JSON much easier.

Json-wheel is now deprecated. Do not use it in new projects.
It has been replaced by Yojson.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-ocamlnet-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n json-wheel-%{version}

%build
make
strip jsoncat

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
mkdir -p %{buildroot}%{_bindir}

make BINDIR=%{buildroot}%{_bindir} install

# Remove *.cmo and *.o files.  These aren't needed for
# anything because they are included in the *.cma/*.a.
rm %{buildroot}%{_libdir}/ocaml/json-wheel/*.cmo
rm %{buildroot}%{_libdir}/ocaml/json-wheel/*.o

%files
%doc LICENSE
%dir %{_libdir}/ocaml/json-wheel
%{_libdir}/ocaml/json-wheel/META
%{_libdir}/ocaml/json-wheel/*.cma
%{_libdir}/ocaml/json-wheel/*.cmi
%{_bindir}/jsoncat

%files devel
%doc LICENSE Changes README html
%{_libdir}/ocaml/json-wheel/*.a
%{_libdir}/ocaml/json-wheel/*.cmxa
%{_libdir}/ocaml/json-wheel/*.cmx
%{_libdir}/ocaml/json-wheel/*.mli
%{_libdir}/ocaml/json-wheel/*.ml


%changelog
* Tue Feb 16 2016 umeabot <umeabot> 1.0.6-17.mga6
+ Revision: 961804
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 1.0.6-16.mga6
+ Revision: 893236
- disable debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 1.0.6-15.mga5
+ Revision: 748708
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.6-14.mga5
+ Revision: 683052
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.6-13.mga4
+ Revision: 508462
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.6-12.mga3
+ Revision: 361415
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 1.0.6-11.mga3
+ Revision: 323954
- rebuild for new pcre

* Tue Nov 20 2012 blue_prawn <blue_prawn> 1.0.6-10.mga3
+ Revision: 319824
- Json-wheel is now deprecated. Do not use it in new projects. It has been replaced by Yojson.

* Tue Oct 02 2012 blue_prawn <blue_prawn> 1.0.6-9.mga3
+ Revision: 302191
- rebuild for new ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.0.6-8.mga3
+ Revision: 300532
- new rpm group for ocaml

* Mon Apr 09 2012 malo <malo> 1.0.6-7.mga2
+ Revision: 229856
- adding missing requires to ocaml-ocamlnet

* Sat Oct 22 2011 malo <malo> 1.0.6-6.mga2
+ Revision: 157398
- rebuild for Ocaml 3.12.1

* Sat Apr 30 2011 pterjan <pterjan> 1.0.6-5.mga1
+ Revision: 93949
- Bump release higher than Mandriva

* Fri Apr 08 2011 ennael <ennael> 1.0.6-4.mga1
+ Revision: 82387
- clean spec file
- imported package ocaml-json-wheel


* Mon Sep 14 2009 Florent Monnier <blue_prawn@mandriva.org> 1.0.6-4mdv2010.0
+ Revision: 440725
- rebuild

* Sun Jun 28 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.6-3mdv2010.0
+ Revision: 390244
- rebuild

* Thu Jun 11 2009 Florent Monnier <blue_prawn@mandriva.org> 1.0.6-2mdv2010.0
+ Revision: 385276
- increm rel nb

* Tue Jan 27 2009 Florent Monnier <blue_prawn@mandriva.org> 1.0.6-1mdv2009.1
+ Revision: 334587
- import ocaml-json-wheel


* Tue Jan 27 2009 Florent Monnier <fmonnier@linux-nantes.org> 1.0.6-1mdv
- Initial RPM release made from the fedora rpm .spec file (revision 1.4) by Richard W.M. Jones
  found there: http://cvs.fedoraproject.org/viewvc/devel/ocaml-json-wheel/ocaml-json-wheel.spec
